ImageMagick-5.5.7.16

epilogue epilogue at allstream.net
Wed Jul 14 14:05:58 PDT 2004


On Wed, 14 Jul 2004 13:37:01 -0400
Chuck Swiger <cswiger at mac.com> wrote:

> Tom Butterworth wrote:
> > I was having trouble with the package ImageMagick-5.5.7.16 permissions 
> > wise so i decided to remove and re install it. Unfortunately when using
> > pkg_add command it gets latest version which requires a lot of other 
> > up-to date dependents. Where is it possible to get ImageMagick-5.5.7.16
> > or do i have to go through removing and updating all the dependent 
> > packages and use latest ImageMagick?

in /usr/ports/distfiles, do you still have a copy of the version you want? 
if so, you feeding the /path/filename to pkg_add should, in theory, work.

to my knowledge, vanilla pkg_add (ie. with no switches) shouldn't be
pulling down a new version.  normally, that only happens when you use
the -r (remote) switch.

you might also want to look at the /usr/ports/sysutils/portdowngrade.  i
haven't used it myself.  i presume that it requires for all the older
versions of the necessary files (ie. dependencies) to still be available,
but it is certainly worth investigating.

good luck,
epi

> If you don't want to upgrade all of the dependencies required by the 
> precompiled package, you'll have to install the software from sources by
> hand.
> 
> Using portupgrade to keep up-to-date is probably easier...
> 
> -- 
> -Chuck
> 
> _______________________________________________
> freebsd-ports at freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-ports
> To unsubscribe, send any mail to "freebsd-ports-unsubscribe at freebsd.org"
> 


More information about the freebsd-ports mailing list